export class Config {
  api: ApiConfig;
  bot: BotConfig;
}

export class ApiConfig {
  cors_host: string[];
  redirect_uri: string;
  port: number;
  client_secret: string;
  client_id: string;

  constructor(
    cors_host: string[],
    redirect_uri: string,
    port: number,
    client_secret: string,
    client_id: string
  ) {
    this.cors_host = cors_host;
    this.redirect_uri = redirect_uri;
    this.port = port;
    this.client_secret = client_secret;
    this.client_id = client_id;
  }
}

export class BotConfig {
  token: string;
  prefix: string;

  constructor(token: string, prefix: string) {
    this.token = token;
    this.prefix = prefix;
  }
}
