import { Command } from "discord-akairo";
import { Message } from "discord.js";
import { statusEmbed } from "../Util";

class Info extends Command {
  constructor() {
    super("info", {
      category: "Utility",
      aliases: ["Info"],
    });
  }

  async exec(message: Message) {
    const embed = await statusEmbed(message);
    message.channel.send(embed);
  }
}

export default Info;
