import {Response} from "express";

export const fail = (res: Response, status: number, msg: string) => {
  res.status(status);
  res.json({
    status,
    reason: msg,
  });
};

export const respond = (res: Response, data: any) => {
  res.status(200);
  res.json({
    status: 200,
    data,
  });
};
